1@echo off
if not "%1"=="" goto continue
echo Run 'repack_all_XX.bat' instead
echo.
pause
exit

:continue
rd temp /s /q
md temp
7z.exe x %1 -o"temp" -r
del out\%1 -y
cd temp
..\7z.exe a ..\out\%1 -mmt=off -m0=BCJ2 -m1=LZMA2:d%2m:fb273 -m2=LZMA2:d512k -m3=LZMA2:d512k -ms=128m -mb0:1 -mb0s1:2 -mb0s2:3 *.ini -ir!*.inf
..\7z.exe a ..\out\%1 -mmt=off -m0=BCJ2 -m1=LZMA2:d%2m:fb273 -m2=LZMA2:d512k -m3=LZMA2:d512k -ms=128m -mb0:1 -mb0s1:2 -mb0s2:3 -xr!*.inf -x!*.ini
cd ..
